SysIdentify

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
SpectAnalysis.SpectralAnalys Class Reference

Class for computing bode diagram by spectral analysis More...

## Public Member Functions
void | Compute (MeasureData IdentDataTC)
| Compute frequency response by spectral analysis More...

## Static Public Member Functions
static Complex [] | spa_0 (int[] CommandValue, int[] FeedbackValue)
| Basic spectral analysis - without using window More...
static Complex [] | spa_b (int[] CommandValue, int[] FeedbackValue, int window_size)
| Spectral analys with Bartlett window More...
static Complex [] | spa_bM (int[] CommandValue, int[] FeedbackValue, int window_size)
| Spectral analys with narrow (modified) Bartlett window More...
static Complex [] | Fw2F0 (Complex[] Fw)
| Computation open loop frequency response from closed loop frequency response More...
static double [] | PhaseE (Complex[] F)
| Phase - Extended - return phase in unlimited range More...
static double [] | PhaseB (Complex[] F)
| Phase - Base - return phase in range (+180° - -180°) More...
static double | Median (double[] InputVar)
| Median More...
static double [][] | Transpon (double[][] InputVar)
| Transposition of matrix More...

## Public Attributes
double [] | MagnitudeFw
| Magnitude of closed loop More...
double [] | PhaseFw
| Phase of closed loop More...
double [] | MagnitudeF0
| Magnitude of open loop More...
double [] | PhaseF0
| Phase of open loop More...
double [] | FrequencyAxis
| Frequncy axis More...
int | CountSamples

## Detailed Description

Class for computing bode diagram by spectral analysis

## Member Function Documentation

## ◆ Compute()

void SpectAnalysis.SpectralAnalys.Compute | ( | MeasureData | IdentDataTC | ) |

Compute frequency response by spectral analysis

Parameters

  IdentDataTC |

## ◆ Fw2F0()

static Complex [] SpectAnalysis.SpectralAnalys.Fw2F0 | ( | Complex [] | Fw | ) |
| static

Computation open loop frequency response from closed loop frequency response

Parameters

  Fw |

Returns

## ◆ Median()

static double SpectAnalysis.SpectralAnalys.Median | ( | double [] | InputVar | ) |
| static

Median

Parameters

  InputVar |

Returns
  Median

## ◆ PhaseB()

static double [] SpectAnalysis.SpectralAnalys.PhaseB | ( | Complex [] | F | ) |
| static

Phase - Base - return phase in range (+180° - -180°)

Parameters

  F |

Returns

## ◆ PhaseE()

static double [] SpectAnalysis.SpectralAnalys.PhaseE | ( | Complex [] | F | ) |
| static

Phase - Extended - return phase in unlimited range

Parameters

  F |

Returns

## ◆ spa_0()

static Complex [] SpectAnalysis.SpectralAnalys.spa_0 | ( | int [] | CommandValue,
|  | int [] | FeedbackValue
| ) |  |
| static

Basic spectral analysis - without using window

Parameters

  CommandValue | Input data to system
  FeedbackValue | Output data from system

Returns

## ◆ spa_b()

static Complex [] SpectAnalysis.SpectralAnalys.spa_b | ( | int [] | CommandValue,
|  | int [] | FeedbackValue,
|  | int | window_size
| ) |  |
| static

Spectral analys with Bartlett window

Parameters

  CommandValue | input vector to system
  FeedbackValue | output vector from system
  window_size | size of window

Returns
  transfer of estimated system in complex variables

## ◆ spa_bM()

static Complex [] SpectAnalysis.SpectralAnalys.spa_bM | ( | int [] | CommandValue,
|  | int [] | FeedbackValue,
|  | int | window_size
| ) |  |
| static

Spectral analys with narrow (modified) Bartlett window

Parameters

  CommandValue | input vector to system
  FeedbackValue | output vector from system
  window_size | size of window

Returns
  transfer of estimated system in complex variables

## ◆ Transpon()

static double [][] SpectAnalysis.SpectralAnalys.Transpon | ( | double | InputVar[][] | ) |
| static

Transposition of matrix

Parameters

  InputVar |

Returns

## Member Data Documentation

## ◆ CountSamples

int SpectAnalysis.SpectralAnalys.CountSamples

## ◆ FrequencyAxis

double [] SpectAnalysis.SpectralAnalys.FrequencyAxis

Frequncy axis

## ◆ MagnitudeF0

double [] SpectAnalysis.SpectralAnalys.MagnitudeF0

Magnitude of open loop

## ◆ MagnitudeFw

double [] SpectAnalysis.SpectralAnalys.MagnitudeFw

Magnitude of closed loop

## ◆ PhaseF0

double [] SpectAnalysis.SpectralAnalys.PhaseF0

Phase of open loop

## ◆ PhaseFw

double [] SpectAnalysis.SpectralAnalys.PhaseFw

Phase of closed loop

The documentation for this class was generated from the following file:

- C:/Users/matusa.BECKHOFF/Documents/Indentifikacia sustav/System Identification WPF/SysIdentifi/SysIdentifi/SpectralAnalys.cs